API ReferenceHelpers

Zone

get
/v4/zone

Get metadata for a single zone.

Query Parameters

zone optional

An Electricity Maps zone key.

Example: "DK-DK2"
lat optional

Latitude of the location to get the data for.

Example: 41.877
lon optional

Longitude of the location to get the data for.

Example: -88.0703
disableCallerLookup optional

If true, the fallback IP-based zone lookup will not be performed.

Default: false

Response Body

application/json

application/json

curl -X GET "https://example.com/v4/zone"
{  "zoneKey": "DK-DK2",  "zoneName": "East Denmark",  "displayName": "East Denmark",  "countryCode": "DK",  "countryName": "Denmark",  "zoneParentKey": "DK",  "subZoneKeys": [    "DK-DK1"  ],  "isCommerciallyAvailable": true,  "tier": "A",  "access": [    "carbon-intensity"  ]}

Playground

get
/v4/zone
Explore the API with a 14-day trial.